package provide xtcl 0.1

#
# $Id: encoding.tcl,v 1.1.1.1 2000/09/19 10:50:22 diam Exp $
# 
# Quelques procedures de manipulation d'encodage de caractere
# 


## fileGuessEncoding_is_unicode -- 
# 
# NON TESTEE !
# 
proc fileGuessEncoding_is_unicode {filename} {

    set f [open $filename r]
    gets $f line
    if {[regexp \xFE\xFF $line] || [regexp \xFF\xFE $line]} {
        set is_unicode 1
    } else {
        set is_unicode 0
    }
    close $f
}

